from django.db import models

# Create your models here.

class Articles(models.Model):
    title = models.CharField(max_length=100,verbose_name="文章标题")
    content = models.TextField(verbose_name="文章内容")
    abstract = models.TextField(verbose_name="文章摘要")
    author = models.TextField(default="admin", verbose_name="文章作者")
    # created = models.DateTimeField(auto_now_add=True,verbose_name="发布时间")
    created = models.DateTimeField(verbose_name="发布时间")
    stat = models.IntegerField(default=0,verbose_name="点赞数量")
    read = models.IntegerField(default=0,verbose_name="阅读数量")


    class Meta:
        verbose_name = "文章"
        verbose_name_plural = "文章管理"

    def __str__(self):
        return self.title

class ArticlesLike(models.Model):
    articles_id = models.IntegerField(default=0,verbose_name="文章id")
    uuid = models.CharField(max_length=100,verbose_name="点赞用户标识")

    class Meta:
        verbose_name = "点赞"
        verbose_name_plural = "点赞管理"

    def __str__(self):
        return self.uuid